#global _internal_version  9677670
%global _artwork_version   4.4

%global csd_version 2.3.0
%global redhat_menus_version 1.8
%global gnome_menus_version 2.11.1
%global libXrandr_version 1.2.99

Summary: Utilities to configure the Cinnamon desktop
Name:    cinnamon-control-center
Version: 2.4.2
Release: 2%{?dist}
# The following files contain code from
# ISC for panels/network/rfkill.h
# And MIT for wacom/calibrator/calibrator.c
# wacom/calibrator/calibrator.h
# wacom/calibrator/gui_gtk.c
# wacom/calibrator/gui_gtk.h
# wacom/calibrator/main.c
License: GPLv2+ and LGPLv2+ and MIT and ISC
URL:     http://cinnamon.linuxmint.com
# To generate tarball
# wget https://github.com/linuxmint/cinnamon-control-center/archive/%%{version}.tar.gz -O cinnamon-control-center-%%{version}.tar.gz
# for git
# wget https://github.com/linuxmint/cinnamon-control-center/tarball/%%{_internal_version} -O cinnamon-control-center-%%{version}.git%%{_internal_version}.tar.gz
#Source0: http://leigh123linux.fedorapeople.org/pub/cinnamon-control-center/source/cinnamon-control-center-%%{version}.git%%{_internal_version}.tar.gz
Source0: http://leigh123linux.fedorapeople.org/pub/cinnamon-control-center/source/cinnamon-control-center-%{version}.tar.gz
Source1: http://packages.linuxmint.com/pool/main/m/mint-artwork-cinnamon/mint-artwork-cinnamon_%{_artwork_version}.tar.gz

Patch0: hide_for_virtual_profiles.patch
Patch1: 0001-Remove-the-NetworkManager-version-checking-altogethe.patch

Requires: cinnamon-settings-daemon >= %{csd_version}
Requires: redhat-menus >= %{redhat_menus_version}
Requires: hicolor-icon-theme
Requires: gnome-icon-theme
Requires: gnome-menus >= %{gnome_menus_version}
Requires: cinnamon-translations
Requires: dbus-x11
Requires: %{name}-filesystem%{?_isa} = %{version}-%{release}
# we need XRRGetScreenResourcesCurrent
Requires: libXrandr >= %{libXrandr_version}
# For the user languages
Requires: iso-codes
# For the sound panel and gnome-sound-applet
Requires: gnome-icon-theme-symbolic
# For the printers panel
Requires: cups-pk-helper
# For the network panel
Requires: nm-connection-editor
# For the info/details panel
Requires: glx-utils
# For the colour panel
Requires: gnome-color-manager

BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(cinnamon-desktop) >= 2.3.0
BuildRequires: pkgconfig(libgnome-menu-3.0) >= %{gnome_menus_version}
BuildRequires: cinnamon-menus-devel
BuildRequires: pkgconfig(cinnamon-settings-daemon) >= %{csd_version}
BuildRequires: pkgconfig(xxf86misc)
BuildRequires: pkgconfig(xkbfile)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(gnome-doc-utils)
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(upower-glib)
BuildRequires: pkgconfig(libnm-gtk) >= 0.9
BuildRequires: pkgconfig(mm-glib) >= 0.7
BuildRequires: pkgconfig(polkit-agent-1)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(clutter-gst-2.0)
BuildRequires: pkgconfig(clutter-gtk-1.0)
BuildRequires: pkgconfig(colord)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(pwquality)
BuildRequires: pkgconfig(ibus-1.0)
BuildRequires: pkgconfig(libgnomekbd)
BuildRequires: pkgconfig(libxklavier)
BuildRequires: chrpath
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: krb5-devel
%ifnarch s390 s390x
BuildRequires: libwacom-devel
%endif

%description
This package contains configuration utilities for the Cinnamon desktop, which
allow to configure accessibility options, desktop fonts, keyboard and mouse
properties, sound setup, desktop theme and background, user interface
properties, screen resolution, and other settings.

%package filesystem
Summary: Cinnamon Control Center directories
# NOTE: this is an "inverse dep" subpackage. It gets pulled in
# NOTE: by the main package an MUST not depend on the main package

%description filesystem
The Cinnamon control-center provides a number of extension points
for applications. This package contains directories where applications
can install configuration files that are picked up by the control-center
utilities.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}


%description devel
Header files and libraries for developing Muffin plugins. Also includes
utilities for testing Metacity/Muffin themes.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
tar -xf %{SOURCE1}
NOCONFIGURE=1 ./autogen.sh

%build
%configure \
        --disable-static \
        --disable-update-mimedb \
        --with-libsocialweb=no \
        --enable-systemd \
        --disable-cups \
        --enable-ibus

# drop unneeded direct library deps with --as-needed
# libtool doesn't make this easy, so we do it the hard way
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool

make V=1 %{?_smp_mflags}

%install
%make_install
  
desktop-file-install                                    \
  --delete-original                                     \
  --dir $RPM_BUILD_ROOT/%{_datadir}/applications         \
  $RPM_BUILD_ROOT/%{_datadir}/applications/*.desktop

# remove useless libtool archive files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

# remove rpath
chrpath --delete $RPM_BUILD_ROOT/%{_libdir}/cinnamon-control-center-1/panels/*.so
chrpath --delete $RPM_BUILD_ROOT/%{_bindir}/cinnamon-control-center

# install sound files
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/cinnamon-control-center/sounds/
install -pm 0644 mint-artwork-cinnamon-%{_artwork_version}/%{_datadir}/mint-artwork-cinnamon/sounds/* $RPM_BUILD_ROOT/%{_datadir}/cinnamon-control-center/sounds/

%find_lang %{name}-timezones

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}-timezones.lang
%doc AUTHORS COPYING README
%{_datadir}/cinnamon-control-center/ui/
%{_datadir}/cinnamon-control-center/sounds/*.og*
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/cinnamon-control-center/icons/
%{_datadir}/cinnamon-control-center/datetime/
# list all binaries explicitly, so we notice if one goes missing
%{_bindir}/cinnamon-control-center
%{_bindir}/cinnamon-sound-applet
%config %{_sysconfdir}/xdg/autostart/cinnamon-sound-applet.desktop
%config %{_sysconfdir}/xdg/menus/cinnamoncc.menu
%{_libdir}/libcinnamon-control-center.so.1*
%dir %{_libdir}/cinnamon-control-center-1/
%{_libdir}/cinnamon-control-center-1/panels/libcolor.so
%{_libdir}/cinnamon-control-center-1/panels/libdate_time.so
%{_libdir}/cinnamon-control-center-1/panels/libdisplay.so
%{_libdir}/cinnamon-control-center-1/panels/libnetwork.so
%{_libdir}/cinnamon-control-center-1/panels/libpower.so
%{_libdir}/cinnamon-control-center-1/panels/libregion.so
%{_libdir}/cinnamon-control-center-1/panels/libscreen.so
%{_libdir}/cinnamon-control-center-1/panels/libsoundnua.so
%{_libdir}/cinnamon-control-center-1/panels/libuniversal-access.so
%ifnarch s390 s390x
%{_libdir}/cinnamon-control-center-1/panels/libwacom-properties.so
%endif
%{_datadir}/polkit-1/rules.d/cinnamon-control-center.rules

%files filesystem
%dir %{_datadir}/cinnamon-control-center/
%dir %{_datadir}
%dir %{_datadir}/cinnamon-control-center/sounds/

%files devel
%{_includedir}/cinnamon-control-center-1/
%{_libdir}/libcinnamon-control-center.so
%{_libdir}/pkgconfig/libcinnamon-control-center.pc

%changelog
* Sun Mar 01 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.4.2-2
- remove the NetworkManager version checking altogether

* Tue Dec 02 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.2-1
- update to 2.4.2
- hide virtual profiles in colour plugin

* Wed Nov 26 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.1-2
- fix mobile broadband setup menu

* Wed Nov 12 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.1-1
- update to 2.4.1

* Fri Oct 31 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-1
- update to 2.4.0

* Tue Sep 30 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-0.1.git9677670
- update to latest git

* Mon Sep 22 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.10-4
- fix upower-0.99 power panel issue

* Mon Aug 18 2014 Kalev Lember <kalevlember@gmail.com> - 2.2.10-3
- Rebuilt for upower 0.99.1 soname bump

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.10-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 17 2014 Rex Dieter <rdieter@fedoraproject.org> 2.2.10-1.1
- rebuild (for pulseaudio, bug #1117683)

* Fri Jun 27 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.10-1
- update to 2.2.10
- add requires gnome-color-manager (don't rely on gnome-packagekit to do it)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.9-1
- update to 2.2.9

* Tue May 20 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.8-1
- update to 2.2.8

* Sun May 11 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.7-1
- update to 2.2.7

* Fri May  9 2014 Peter Robinson <pbrobinson@fedoraproject.org> 2.2.4-2
- Should be using clutter-gst2 in Fedora too, not just RHEL-7

* Fri May 02 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.4-1
- update to 2.2.4

* Mon Apr 14 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.3-1
- update to 2.2.3

* Sat Apr 12 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.1-1
- update to 2.2.1

* Fri Jan 17 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.9-4
- add log out dialogue for language change in region panel

* Mon Jan 13 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.9-3
- make changes for epel7

* Tue Jan 07 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.9-2
- cleanup region panel

* Sat Nov 23 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.9-1
- update to 2.0.9
- add some sound files for actions

* Sat Nov 16 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.7-2
- patch for upower 1.0 changes (not complete)

* Fri Nov 08 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.7-1
- update to 2.0.7

* Fri Oct 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.5-1
- update to 2.0.5

* Thu Oct 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.4-1
- update to 2.0.4

* Fri Oct 18 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.3-1
- update to 2.0.3

* Wed Oct 09 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.2-1
- update to 2.0.2
- drop undefined nm symbol patch

* Mon Oct 07 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-3
- fix undefined nm symbol (br 1011649)

* Thu Oct 03 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-2
- remove unused build requires

* Wed Oct 02 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-1
- update to 2.0.1

* Mon Sep 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.1-1
- update to 1.9.1

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> 1.9.0-0.15.git31ce8a8
- add systemd-login1 support

* Fri Sep 20 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.14.git31ce8a8
- Try add fix region input source selection

* Wed Sep 18 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.13.git31ce8a8
- update to latest git

* Thu Aug 29 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.12.git39bd295
- Remove bluetooth support (Screw bluez5!)

* Sun Aug 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.11.git39bd295
- update to latest git
- Change buildrequires to cinnamon-desktop-devel
- Change requires to cinnamon-desktop

* Sat Aug 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.10.git16717a7
- update to latest git
- adjust for new cinnamon-translations package
- add requires cinnamon-translations

* Thu Aug 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.9.git7d365d0
- rebuilt

* Mon Aug 05 2013 leigh <leigh123linux@googlemail.com> - 1.9.0-0.8.git7d365d0
- rebuilt

* Wed Jul 31 2013 leigh <leigh123linux@googlemail.com> - 1.9.0-0.7.git7d365d0
- rebuilt

* Sun Jul 28 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.6.git7d365d0
- fix missing bluetooth menu icon

* Sun Jul 28 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.5.git7d365d0
- enable bluetooth support

* Sat Jul 27 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.4.git7d365d0
- update to latest git
- fix icon name in color desktop file

* Wed Jul 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.3.git430927a
- add missing licences to tag
- remove requires alsa-lib

* Mon Jul 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.2.git430927a
- make review changes

* Thu Jul 18 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.0-0.1.git430927a
- Inital build

